## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate lv2-atom

Name:           rust-lv2-atom
Version:        2.0.0
Release:        %autorelease
Summary:        Rust-lv2's Atom handling library

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/lv2-atom
Source:         %{crates_source}

BuildRequires:  rust-packaging >= 21

# Not supported by rust-lv2
ExcludeArch:    ppc64le s390x

%global _description %{expand:
Rust-lv2's Atom handling library.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+lv2-core-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+lv2-core-devel %{_description}

This package contains library source intended for building other packages which
use the "lv2-core" feature of the "%{crate}" crate.

%files       -n %{name}+lv2-core-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%ifarch aarch64
# Remove broken test that fails to compile
rm tests/atom_integration.rs
%endif
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jul 24 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 2.0.0-2
- Stub out broken test on aarch64

* Sun Jul 23 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 2.0.0-1
- Initial import; Fixes: RHBZ#2224764
## END: Generated by rpmautospec
